Glossary
Create glossary term
Add a new term to your glossary.
POST
/
v1
/
glossary
// Brand term -- do not translate
await client.glossary.create({
term: "Lasso AI",
type: "do_not_translate",
case_sensitive: true,
category: "brand",
});
// Term with specific translations
await client.glossary.create({
term: "data extraction",
type: "specific_translation",
translations: {
de: "Datenextraktion",
fr: "extraction de données",
es: "extracción de datos",
},
});
# Brand term -- do not translate
client.glossary.create(
term="Lasso AI",
type="do_not_translate",
case_sensitive=True,
category="brand",
)
# Term with specific translations
client.glossary.create(
term="data extraction",
type="specific_translation",
translations={
"de": "Datenextraktion",
"fr": "extraction de données",
"es": "extracción de datos",
},
)
curl -X POST "https://hub.banditshq.com/api/v1/glossary" \
-H "Authorization: Bearer lasso_..." \
-H "Content-Type: application/json" \
-d '{
"term": "Lasso AI",
"type": "do_not_translate",
"case_sensitive": true,
"category": "brand"
}'
# With specific translations
curl -X POST "https://hub.banditshq.com/api/v1/glossary" \
-H "Authorization: Bearer lasso_..." \
-H "Content-Type: application/json" \
-d '{
"term": "data extraction",
"type": "specific_translation",
"translations": {
"de": "Datenextraktion",
"fr": "extraction de données",
"es": "extracción de datos"
}
}'
{
"id": "term_abc123",
"term": "data extraction",
"type": "specific_translation",
"case_sensitive": false,
"category": "custom",
"translations": {
"de": "Datenextraktion",
"fr": "extraction de données"
},
"created_at": "2025-03-01T10:00:00.000Z"
}
Glossary terms control how specific words or phrases are handled during AI enhancement and translation.
Request body
string
required
The original term to add.
string
required
How to handle this term. One of:
do_not_translate— Keep the term as-is in all languages.specific_translation— Use the provided translations.context_dependent— Let the AI decide based on context.
boolean
default:"false"
Whether matching should be case-sensitive.
string
default:"custom"
A category for organizing terms.
object
Map of language codes to translated terms. Required when
type is specific_translation.Response
string
Unique term identifier.
string
The original term.
string
Term type.
boolean
Case sensitivity setting.
string
Term category.
object
Translation map.
string
ISO 8601 timestamp.
// Brand term -- do not translate
await client.glossary.create({
term: "Lasso AI",
type: "do_not_translate",
case_sensitive: true,
category: "brand",
});
// Term with specific translations
await client.glossary.create({
term: "data extraction",
type: "specific_translation",
translations: {
de: "Datenextraktion",
fr: "extraction de données",
es: "extracción de datos",
},
});
# Brand term -- do not translate
client.glossary.create(
term="Lasso AI",
type="do_not_translate",
case_sensitive=True,
category="brand",
)
# Term with specific translations
client.glossary.create(
term="data extraction",
type="specific_translation",
translations={
"de": "Datenextraktion",
"fr": "extraction de données",
"es": "extracción de datos",
},
)
curl -X POST "https://hub.banditshq.com/api/v1/glossary" \
-H "Authorization: Bearer lasso_..." \
-H "Content-Type: application/json" \
-d '{
"term": "Lasso AI",
"type": "do_not_translate",
"case_sensitive": true,
"category": "brand"
}'
# With specific translations
curl -X POST "https://hub.banditshq.com/api/v1/glossary" \
-H "Authorization: Bearer lasso_..." \
-H "Content-Type: application/json" \
-d '{
"term": "data extraction",
"type": "specific_translation",
"translations": {
"de": "Datenextraktion",
"fr": "extraction de données",
"es": "extracción de datos"
}
}'
{
"id": "term_abc123",
"term": "data extraction",
"type": "specific_translation",
"case_sensitive": false,
"category": "custom",
"translations": {
"de": "Datenextraktion",
"fr": "extraction de données"
},
"created_at": "2025-03-01T10:00:00.000Z"
}
⌘I
// Brand term -- do not translate
await client.glossary.create({
term: "Lasso AI",
type: "do_not_translate",
case_sensitive: true,
category: "brand",
});
// Term with specific translations
await client.glossary.create({
term: "data extraction",
type: "specific_translation",
translations: {
de: "Datenextraktion",
fr: "extraction de données",
es: "extracción de datos",
},
});
# Brand term -- do not translate
client.glossary.create(
term="Lasso AI",
type="do_not_translate",
case_sensitive=True,
category="brand",
)
# Term with specific translations
client.glossary.create(
term="data extraction",
type="specific_translation",
translations={
"de": "Datenextraktion",
"fr": "extraction de données",
"es": "extracción de datos",
},
)
curl -X POST "https://hub.banditshq.com/api/v1/glossary" \
-H "Authorization: Bearer lasso_..." \
-H "Content-Type: application/json" \
-d '{
"term": "Lasso AI",
"type": "do_not_translate",
"case_sensitive": true,
"category": "brand"
}'
# With specific translations
curl -X POST "https://hub.banditshq.com/api/v1/glossary" \
-H "Authorization: Bearer lasso_..." \
-H "Content-Type: application/json" \
-d '{
"term": "data extraction",
"type": "specific_translation",
"translations": {
"de": "Datenextraktion",
"fr": "extraction de données",
"es": "extracción de datos"
}
}'
{
"id": "term_abc123",
"term": "data extraction",
"type": "specific_translation",
"case_sensitive": false,
"category": "custom",
"translations": {
"de": "Datenextraktion",
"fr": "extraction de données"
},
"created_at": "2025-03-01T10:00:00.000Z"
}

